jv.loader

## Class PsCategoryList_IP

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jv.loader.PsCategoryList_IP

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.ItemListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, PsUpdateIf

      public class PsCategoryList_IP
      extends PsPanel
      implements java.awt.event.ActionListener, java.awt.event.ItemListener

  Browser dialog to choose an item from a set of choices. The choices are organized in a set of categories.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    09.11.02, 1.20 revised (kp) Doc written.
    30.12.01, 1.10 revised (kp) Checkboxes added.
    30.10.99, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsCategoryList_IP()` Create a panel which shows a list of category and a list of entries, where the list of entries shows the available choices in the selected category.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)`
    `void` | `addProjectCheckboxes()` Non-public method for internal use, will be removed soon.
    `java.lang.String` | `getSelectedCategory()` Get the names of the selected category.
    `java.lang.String` | `getSelectedEntry()` Get the name of the selected entry.
    `void` | `init()` Provides layout and adds internal components.
    `boolean` | `isClosing()` Flag is user has chosen to close current activity and restart freshly with selected topic, or to continue current activity and add the selected topic.
    `void` | `itemStateChanged(java.awt.event.ItemEvent event)`
    `void` | `selectCategory(int ind)` Select a category whose entries are display in the entry list.
    `void` | `setCategories(java.lang.String[] category, java.lang.String[][] entry)` Assign set of category names and a set of entries per category.
    `void` | `setClosing(boolean flag)` Set flag if current activity is closed and restarts freshly with selected topic, or if current activity is continued and the selected topic is added.

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getPreferredSize, getTitle, getTitle, getTitle, hasTitle, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setParent, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PsCategoryList_IP

          public PsCategoryList_IP()

      Create a panel which shows a list of category and a list of entries, where the list of entries shows the available choices in the selected category. One category may be selected, and one entry within the available choices in this category. The list of categories and entries must be assigned using `#setCategories`.

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsPanel`
      Provides layout and adds internal components.
      Overrides:
        `init` in class `PsPanel`

    - #### addProjectCheckboxes

          public void addProjectCheckboxes()

      Non-public method for internal use, will be removed soon.

    - #### setCategories

          public void setCategories(java.lang.String[] category,
                                    java.lang.String[][] entry)

      Assign set of category names and a set of entries per category. The length of the entry array must be equal to the number of categories, and the items of entry[i] will become the choices in category[i].
      Parameters:
        `category` - an array of category names
        `entry` - a double array of choices, one array per category

    - #### selectCategory

          public void selectCategory(int ind)

      Select a category whose entries are display in the entry list.
      Parameters:
        `ind` - index of the category to be selected

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### itemStateChanged

          public void itemStateChanged(java.awt.event.ItemEvent event)

      Specified by:
        `itemStateChanged` in interface `java.awt.event.ItemListener`

    - #### getSelectedEntry

          public java.lang.String getSelectedEntry()

      Get the name of the selected entry. The selected entry is a choice in the currently selected category.
      Returns:
        name of the selected entry

    - #### getSelectedCategory

          public java.lang.String getSelectedCategory()

      Get the names of the selected category.
      Returns:
        name of the selected category

    - #### isClosing

          public boolean isClosing()

      Flag is user has chosen to close current activity and restart freshly with selected topic, or to continue current activity and add the selected topic.
      Returns:
        flag if the current activity will be closed after closing this dialog.

    - #### setClosing

          public void setClosing(boolean flag)

      Set flag if current activity is closed and restarts freshly with selected topic, or if current activity is continued and the selected topic is added.
      Parameters:
        `flag` - flag if the current activity will be closed after closing this dialog.

"

The software JavaView? is copyright protected. All Rights Reserved.
"